Subject: Re: [PATCH] Xilinx UART Lite 2.6.18 driver

From: Peter Korsgaard <[email-masked]>
Date: Thu, 12 Oct 2006 12:34:38 +0200

>>>>> "David" == David Bolcsfoldi <[email-masked]> writes:

Hi David,

David> here's a set of patches that adds support for Xilinx UART lite
David> devices. It has been tested on an ML403-FX using xapp902
David> (ml403_ppc_plb_temac) using a 2.6.18 kernel and a BusyBox
David> userspace.

I guess you didn't know, but there already exists a uartlite driver!
It unfortunately didn't made it into 2.6.19-rc1 because Russell
stopped maintaining serial stuff, but it's in -mm.

It also has an official lanana.org assigned set of device nodes.

I didn't look at your patch yet, but I think it would be more useful
to add any features missing to my driver than writing yet another
driver (I think we're up to 3 now).

-- 
Bye, Peter Korsgaard